Subject: bug#8897: `completion--insert-strings' clobbers user-added text properties

From: Stefan Monnier <[email-masked]>
Date: Sun, 19 Jun 2011 23:08:55 -0400

> In my particular case I define annotations as buttons (which display
> even more detail about a completion value upon activation), so a visual
> indication of clickability is very important for me.

Currently, the completion-list-mode uses the `mouse-face' text-property
to determine what is a completion item and what i something else (blank
space, annotation, you name it).  So as it stands, any mouse-face you'd
add to an annotation would confuse completion-list-mode into thinking it
is a completion item.

Maybe you could try to use the `category' text-property instead.

        Stefan